Tarantool development patches archive
 help / color / mirror / Atom feed
From: "Alexander V. Tikhonov" <avtikhon@tarantool.org>
To: Kirill Yukhin <kyukhin@tarantool.org>,
	Alexander Turenko <alexander.turenko@tarantool.org>
Cc: tarantool-patches@dev.tarantool.org
Subject: [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
Date: Mon, 27 Jul 2020 16:11:06 +0300	[thread overview]
Message-ID: <9d538c87b2a0106b325c1ec104206a9f38f207df.1595855406.git.avtikhon@tarantool.org> (raw)

Found that removing RPMs additional call to its removement is
needed, when no metadata was found.
---

Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove

 tools/update_repo.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 5a68e3e05..d9b91a753 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -869,6 +869,13 @@ function remove_rpm {
         done
     done
 
+    # remove all found file by the given pattern in options
+    for suffix in 'x86_64' 'noarch' 'src'; do
+        file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+        $aws ls $file || continue
+        $aws rm $file
+    done
+
     # check if any RPM files were newly registered
     [ "$updated_rpms" == "0" ] && \
         return || echo "Updating dists"
-- 
2.17.1

             reply	other threads:[~2020-07-27 13:11 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-27 13:11 Alexander V. Tikhonov [this message]
2020-07-27 14:18 ` Alexander Turenko
2020-08-07 16:10   ` Alexander V. Tikhonov
2020-08-31 11:39 ` Kirill Yukhin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=9d538c87b2a0106b325c1ec104206a9f38f207df.1595855406.git.avtikhon@tarantool.org \
    --to=avtikhon@tarantool.org \
    --cc=alexander.turenko@tarantool.org \
    --cc=kyukhin@tarantool.org \
    --cc=tarantool-patches@dev.tarantool.org \
    --subject='Re: [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox